:root {
	--fond-site: #171615;
	--couleur-txt: #F0ECDB;
    --text-font: "verdigris-mvb-pro-text", serif;
    --menu-font: "Protokoll";
    --title-font: "SangBleuSunrise-Regular";
    --ticker-date-font: "Bugrino Trial";
    --ticker-title-font: "GT Pantheon Display Trial Rg";
}

body {
	background-color: var(--fond-site);
	color: var(--couleur-txt);
	font-family: var(--ticker-date-font);
	line-height: 1.4;
    font-weight: 400;
    font-style: normal;
    font-size: 24px;
	-webkit-font-smoothing: antialiased;
    letter-spacing: 0.01em;
    overflow-x: hidden;
}
html, body {
  height: 100%;
  margin: 0;
}

body {
  display: flex;
  flex-direction: column;
}
div { position: relative; }

a {
	color: var(--couleur-txt);
	text-decoration: underline;
	transition: all 400ms;
}
a:hover {
	color: var(--couleur-txt);
    opacity: .75;
	transition: all 400ms;
}
p {
    margin: 0 0 15px;
}
h1, h2, h3, h4, h5, h6 { font-weight: normal !important; }

/* GRILLE 18 colonnes */
.container {
  display: grid;
  grid-template-columns: repeat(18, 1fr);
  gap: 24px;
  width: calc( 100% - 48px);
  /*max-width: 1440px;  optionnel */
  margin: 0 auto;
  padding: 0 24px; /* optionnel */
}
.col-1  { grid-column: span 1; }
.col-2  { grid-column: span 2; }
.col-3  { grid-column: span 3; }
.col-4  { grid-column: span 4; }
.col-5  { grid-column: span 5; }
.col-6  { grid-column: span 6; }
.col-7  { grid-column: span 7; }
.col-8  { grid-column: span 8; }
.col-9  { grid-column: span 9; }
.col-10 { grid-column: span 10; }
.col-11 { grid-column: span 11; }
.col-12 { grid-column: span 12; }
.col-13 { grid-column: span 13; }
.col-14 { grid-column: span 14; }
.col-15 { grid-column: span 15; }
.col-16 { grid-column: span 16; }
.col-17 { grid-column: span 17; }
.col-18 { grid-column: span 18; }


/* HEADER */

.menu-container {
    position: relative;
    display: flex;
    flex-direction: column;
    padding-top: 3px;
    width: 160px;
}
.menu-container .menu {
    position: relative;
    display: flex;
    flex-direction: column;
    list-style: none;
    padding: 0;
    margin: 0;
}
.menu-container .menu > li {
    position: relative;
    font-size: 12px;
    line-height: 1.2;
    text-decoration: none;
    text-align: left;
    font-family: var(--ticker-date-font);
}
.menu-container .menu > li a {
    color: #fff;
    text-decoration: none;
}
.menu-container .menu > li.coming:hover a::after {
    position: absolute;
    display: inline-block;
    content: "[Coming soon]";
    margin-left: 5px;
    width: 100px;
    height: 12px;
}
.left .menu .selected > a::after {
  content: "–";
  display: inline-block;
  width: 6px;
  height: 8px;
  margin-left: 5px;
  /*background: url('../images/puce.svg') no-repeat center / contain;*/
}

/* FOOTER */

footer {
    position: fixed;
    width: 100%;
    z-index: 10000;
    bottom: 0;
}
.footer-container {
    position: relative;
    display: flex;
    padding: 24px;
}

.footer-logo-container {
    position: fixed;
    display: flex;
    justify-content: center;
    bottom: 78px;
    left: 0;
    width: 100%;
    z-index: 10001;
}
.logo img {
    width: 12.5vw;
}

/* WRAPPER */

.wrapper {
    position: relative;
    padding: 0 var(--marge-ext);
    margin: 0 auto;
    /*max-width: 1440px;*/
    width: calc(100% - ( 2 * var(--marge-ext)));
}


/* PAGE */

.main-container {
    position: relative;
    width: 100%;
    background-color: var(--fond-site);
    z-index: 1;
    flex: 1;
}
.main-content {
    position: relative;
    padding: 15px 0;
}

/* HOMEPAGE */
.item {
    position: sticky;
    top: 0;
    transition: transform 0.3s ease;
    display: block;
    width: 100%;
    height: 100vh;
    background-color: var(--fond-site);
    background-position: center;
    background-repeat: no-repeat;
}
/*.background-video {
  position: absolute;
  top: 50%;
  left: 50%;
  min-width: 100%;
  min-height: 100%;
  transform: translate(-50%, -50%);
  object-fit: cover;
  z-index: -1;
  transition: transform 0.1s linear;
   will-change: transform;
}*/
.ticker {
  position: fixed;
  top: 47%;
  left: 0;
  width: 100%;
  transform: translateY(-50%);
  overflow: hidden;
  pointer-events: none; /* optionnel */
  z-index: 11111;
}

.ticker__track {
  display: flex;
  width: max-content;
  animation: scroll 60s linear infinite;
}

.ticker .date {
  white-space: nowrap;
  font-size: 24px; 
  font-family: var(--ticker-date-font);
  line-height: 1.3;
  text-transform: uppercase;
}
.ticker .titre {
  white-space: nowrap;
  font-size: 48px; 
  font-family: var(--ticker-title-font);
  line-height: 1.3;
  text-transform: uppercase;
  letter-spacing: 0.02em;
}

.separator {
  font-family: "Inter", sans-serif;
  font-size: 35px;
  font-weight: 100;
  font-style: normal;
}

.play {
    position: fixed;
    display: flex;
    justify-content: center;
    width: 100%;
    height: 17px;
    top: 24px;
    z-index: 11112;
}
.btnPlay {
    position: relative;
    display: block;
    width: 83px;
    height: 17px;
    text-align: center;
    line-height: 17px;
    font-family: var(--ticker-date-font);
    font-size: 12px;
    background-color: var(--couleur-txt);
    color: var(--fond-site);
    cursor: pointer;
    border-radius: 3px;
    text-transform: uppercase;
}

.videoOverlay {
  position: fixed;
  top: 0;
  left: 0;
  width: calc(100% - 48px);
  height: calc(100% - 48px);
  padding: 24px;
  background: rgba(0,0,0,0.75);
  backdrop-filter: blur(10px);
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease;
  z-index: 120000;
}

.videoOverlay.active {
  opacity: 1;
  pointer-events: all;
}

.videoPlayer {
  position: relative;
  max-width: 800px;
  width: 90%;
  height: 100%;
}

.background-video {
  width: 100%;
  height: 100%;
}

.btnClose {
  position: absolute;
  top: 16px;
  right: 16px;
  cursor: pointer;
  width: 83px;
  height: 17px;
  text-align: center;
  line-height: 17px;
  font-family: var(--ticker-date-font);
  font-size: 12px;
  background-color: var(--fond-site);
  color: var(--couleur-txt);
    border-radius: 3px;
    text-transform: uppercase;
}


@keyframes scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}

@media (max-width: 1250px) {
   
}
@media (max-width: 992px) {
    
}
@media (max-width: 768px) {
    .logo img {
        width: 33vw;
    }
    .footer-container {
        padding: 18px;
    }

    .ticker .date {
        white-space: nowrap;
        font-size: 20px; 
        font-family: var(--ticker-date-font);
        line-height: 1.3;
        text-transform: uppercase;
    }
    .ticker .titre {
        white-space: nowrap;
        font-size: 40px; 
        font-family: var(--ticker-title-font);
        line-height: 1.3;
        text-transform: uppercase;
        letter-spacing: 0.02em;
    }
     .separator {
        font-family: "Inter", sans-serif;
        font-size: 29px;
        font-weight: 100;
        font-style: normal;
     }
}

